# Class VulkanDebugUtilsLabelEXT

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsLabelEXT

All Implemented Interfaces:
  `VulkanDebugUtilsLabelEXTType`

public final class VulkanDebugUtilsLabelEXT extends Object implements VulkanDebugUtilsLabelEXTType
Specify parameters of a label region.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VulkanDebugUtilsLabelEXT.Builder`
  Builds instances of type `VulkanDebugUtilsLabelEXT`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanDebugUtilsLabelEXT.Builder`
  `builder()`
  Creates a builder for `VulkanDebugUtilsLabelEXT`.
  `VulkanDebugUtilsLabelColor`
  `color()`
  `static VulkanDebugUtilsLabelEXT`
  `copyOf(VulkanDebugUtilsLabelEXTType instance)`
  Creates an immutable copy of a `VulkanDebugUtilsLabelEXTType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `VulkanDebugUtilsLabelEXT` that have equal attribute values.
  `int`
  `hashCode()`
  Computes a hash code from attributes: `name`, `color`.
  `String`
  `name()`
  `String`
  `toString()`
  Prints the immutable value `VulkanDebugUtilsLabelEXT` with attribute values.
  `final VulkanDebugUtilsLabelEXT`
  `withColor(VulkanDebugUtilsLabelColor value)`
  Copy the current immutable object by setting a value for the `color` attribute.
  `final VulkanDebugUtilsLabelEXT`
  `withName(String value)`
  Copy the current immutable object by setting a value for the `name` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### name

    public String name()
    Specified by:
      `name` in interface `VulkanDebugUtilsLabelEXTType`
    Returns:
      The name of the label

  - ### color

    public VulkanDebugUtilsLabelColor color()
    Specified by:
      `color` in interface `VulkanDebugUtilsLabelEXTType`
    Returns:
      The label color

  - ### withName

    public final VulkanDebugUtilsLabelEXT withName(String value)
    Copy the current immutable object by setting a value for the `name` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for name
    Returns:
      A modified copy of the `this` object

  - ### withColor

    public final VulkanDebugUtilsLabelEXT withColor(VulkanDebugUtilsLabelColor value)
    Copy the current immutable object by setting a value for the `color` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for color
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `VulkanDebugUtilsLabelEXT` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `name`, `color`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `VulkanDebugUtilsLabelEXT` with attribute values.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static VulkanDebugUtilsLabelEXT copyOf(VulkanDebugUtilsLabelEXTType instance)
    Creates an immutable copy of a `VulkanDebugUtilsLabelEXTType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VulkanDebugUtilsLabelEXT instance

  - ### builder

    public static VulkanDebugUtilsLabelEXT.Builder builder()
    Creates a builder for `VulkanDebugUtilsLabelEXT`.

         VulkanDebugUtilsLabelEXT.builder()
            .setName(String) // required name
            .setColor(com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsLabelColor) // required color
            .build();

    Returns:
      A new VulkanDebugUtilsLabelEXT builder